Skip to main content
GET
/
v3
/
qualifications
Retrieve qualifications
curl --request GET \
  --url https://api.ctrl-hub.com/v3/qualifications \
  --header 'X-Session-Token: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "qualification_number": "<string>",
        "title": "<string>",
        "status": "ingested",
        "provenance": "ofqual",
        "level": "<string>",
        "sub_level": "<string>",
        "type": "<string>",
        "total_credits": 123,
        "guided_learning_hours": 123,
        "total_qualification_time": 123,
        "ssa": "<string>",
        "operational_start_date": "2023-11-07T05:31:56Z",
        "operational_end_date": "2023-11-07T05:31:56Z",
        "regulation_status": "<string>",
        "awarding_body_rn": "<string>",
        "awarding_body_name": "<string>"
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "awarding_body": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "provenance": "ofqual",
        "recognition_number": "<string>",
        "legal_name": "<string>",
        "acronym": "<string>",
        "website": "<string>",
        "ofqual_status": "Recognised"
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

filter
string
default:""
sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
title,
-title,
level,
-level,
created_at,
-created_at
include
enum<string>[]

A comma separated list of related resources to include.

Available options:
awarding_body
limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of qualifications.

JSON API response object

data
A list of qualifications · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a qualification is returned